부스트 등록/변경 (Sponsor)
curl --request POST \
--url https://sdk-api.playcamp.io/v1/server/sponsors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"creatorKey": "<string>",
"campaignId": "<string>",
"callbackId": "<string>",
"isTest": false
}
'import requests
url = "https://sdk-api.playcamp.io/v1/server/sponsors"
payload = {
"userId": "<string>",
"creatorKey": "<string>",
"campaignId": "<string>",
"callbackId": "<string>",
"isTest": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '<string>',
creatorKey: '<string>',
campaignId: '<string>',
callbackId: '<string>',
isTest: false
})
};
fetch('https://sdk-api.playcamp.io/v1/server/sponsors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"userId": "<string>",
"campaignId": "<string>",
"creatorKey": "<string>",
"isActive": true,
"sponsoredAt": "2023-11-07T05:31:56Z"
}
}{
"status": 400,
"error": "Bad Request",
"message": "No active campaign found",
"code": "BAD_REQUEST"
}{
"status": 401,
"error": "Unauthorized",
"message": "Invalid API key",
"code": "UNAUTHORIZED"
}{
"status": 404,
"error": "Not Found",
"message": "Creator not found: TEST1",
"code": "NOT_FOUND"
}{
"status": 409,
"error": "Conflict",
"message": "Already sponsoring a creator in this campaign",
"code": "CONFLICT"
}Boost (Sponsor)
부스트 등록/변경 (Sponsor)
유저가 크리에이터를 부스트합니다. Upsert 방식으로 동작합니다.
동작 방식:
- 부스트 없음 → 새로 생성
- 동일 크리에이터 부스트 중 → 현재 상태 반환
- 다른 크리에이터 부스트 중 → 30일 쿨다운 후 변경 가능
- 부스트 종료됨 → 재활성화
부스트 이후 발생한 결제는 해당 크리에이터에게 귀속됩니다.
POST
/
v1
/
server
/
sponsors
부스트 등록/변경 (Sponsor)
인증
Server API Key (format: {keyId}:{secret})
본문
application/json
응답
성공
Show child attributes
Show child attributes
⌘I